Show / Hide Table of Contents

# Struct Position3

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: Dalamud.Game.ClientState.Actors

###### Assembly: Dalamud.dll

##### Syntax

    public struct Position3

### Fields

| Improve this Doc View Source

#### X

##### Declaration

    public float X

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### Y

##### Declaration

    public float Y

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### Z

##### Declaration

    public float Z

##### Field Value

Type | Description
--- | ---
System.Single |

### Operators

| Improve this Doc View Source

#### Implicit(Position3 to Vector3)

Convert this Position3 to a SharpDX.Vector3

##### Declaration

    public static implicit operator Vector3(Position3 pos)

##### Parameters

Type | Name | Description
--- | --- | ---
Position3 | pos | Position to convert.

##### Returns

Type | Description
--- | ---
SharpDX.Vector3 |

| Improve this Doc View Source

#### Implicit(Position3 to Vector3)

Convert this Position3 to a System.Numerics.Vector3

##### Declaration

    public static implicit operator Vector3(Position3 pos)

##### Parameters

Type | Name | Description
--- | --- | ---
Position3 | pos | Position to convert.

##### Returns

Type | Description
--- | ---
System.Numerics.Vector3 |